Skip to content
Get App Trending
cURL
curl -G https://openqiao.com/api/v1/management/statistics/apps/trending \
  -H "Authorization: Bearer $OPENQIAO_MANAGEMENT_API_KEY" \
  -d metric=tokens \
  -d bucket_width=1d \
  -d ending_at=2026-08-23 \
  -d limit=10
Response
{
  "success": true,
  "data": {
    "metric": "tokens",
    "bucket_width": "1d",
    "ending_at": "2026-08-23",
    "entries": [
      {
        "rank": 1,
        "app": "litellm",
        "label": "LiteLLM",
        "description": "Unified LLM gateway and proxy",
        "icon_url": "https://cdn.marmot-cloud.com/storage/openqiao/2026/08/17/GgJ5jo3/NameLiteLLM.svg",
        "openqiao_url": "",
        "official_url": "",
        "value": 1802240416,
        "growth_rate": 128.44,
        "growth_label": "+128.44%",
        "data_points": [
          { "period": "20260817", "value": 402118773 },
          { "period": "20260818", "value": 511903244 },
          { "period": "20260819", "value": 623440190 },
          { "period": "20260820", "value": 700118231 },
          { "period": "20260821", "value": 742330119 },
          { "period": "20260822", "value": 788771905 },
          { "period": "20260823", "value": 1802240416 }
        ]
      },
      {
        "rank": 2,
        "app": "codex",
        "label": "Codex",
        "description": "OpenAI Codex CLI",
        "icon_url": "https://cdn.marmot-cloud.com/storage/openqiao/2026/05/18/3e4UfxM/Property-1codex.svg",
        "openqiao_url": "https://openqiao.com/docs/best-practices/codex.html",
        "official_url": "",
        "value": 1620342892,
        "growth_rate": 95.6,
        "growth_label": "+95.60%",
        "data_points": [
          { "period": "20260817", "value": 690118773 },
          { "period": "20260818", "value": 714903244 },
          { "period": "20260819", "value": 760440190 },
          { "period": "20260820", "value": 791118231 },
          { "period": "20260821", "value": 812330119 },
          { "period": "20260822", "value": 828229905 },
          { "period": "20260823", "value": 1620342892 }
        ]
      }
    ]
  }
}